#define CONFIGURE_INIT
#include "system.h"
#include <signal.h>
#include <errno.h>
#include <stdlib.h>
#include <assert.h>
#include <stdio.h>
#include <sched.h>
#include "ts.h"
#include "returncode.h"



/*  Critical instant : start time 
    of the application  */
struct timespec critical_instant;



void* periodic_task(void* parameter)
{
        
	struct timespec period=*((struct timespec*)(parameter));
        int number_of_release=0;
	struct timespec nexttime=critical_instant;

	printf("Thread %x : period = %d:%d\n",pthread_self(), period.tv_sec, period.tv_nsec);

        while(number_of_release<3)
                {
               
                printf("Thread %x is running its %dth release at time %d:%d\n",
			pthread_self(), number_of_release, nexttime.tv_sec, nexttime.tv_nsec);


		/* Compute the next release time */
                /* wait for the next release time */
		*******

                }

        pthread_exit(NULL);
}




void* POSIX_Init(void *argument)
{


 /* create threads */

***

 

 /* Measure and store start time of the application */
 status=clock_gettime(CLOCK_REALTIME, &critical_instant);
 if(status<0)
  returncode("clock_gettime",status);

 printf("POSIX_Init is completed, start running the periodic threads\n");
 pthread_exit(NULL);
 return 0; 
}



